[7/7] framework/wflinfo: delete deprecated interface

Submitted by Dylan Baker on June 25, 2018, 11:29 p.m.

Details

Message ID 20180625232906.5646-8-dylan@pnwbakers.com
State New
Headers show
Series "Rework fast skipping to handle compat profile" ( rev: 5 4 3 2 1 ) in Piglit

Not browsing as part of any series.

Commit Message

Dylan Baker June 25, 2018, 11:29 p.m.
This is the old interface which is now not depended on by any tests.
---
 framework/wflinfo.py | 33 ---------------------------------
 1 file changed, 33 deletions(-)

Patch hide | download patch | download mbox

diff --git a/framework/wflinfo.py b/framework/wflinfo.py
index d3a79437d..a568bc344 100644
--- a/framework/wflinfo.py
+++ b/framework/wflinfo.py
@@ -299,36 +299,3 @@  class WflInfo(object):
     @lazy_property
     def es3(self):
         return self.es2
-
-    @property
-    def gles_version(self):
-        v = max([self.es1.api_version, self.es2.api_version])
-        if v == 0.0:
-            return None
-        return v
-
-    @property
-    def gl_version(self):
-        v = max([self.core.api_version, self.compat.api_version])
-        if v == 0.0:
-            return None
-        return v
-
-    @property
-    def glsl_version(self):
-        v = max([self.core.shader_version, self.compat.shader_version])
-        if v == 0.0:
-            return None
-        return v
-
-    @property
-    def glsl_es_version(self):
-        v = max([self.es1.shader_version, self.es2.shader_version])
-        if v == 0.0:
-            return None
-        return v
-
-    @property
-    def gl_extensions(self):
-        return set.union(self.es1.extensions, self.es2.extensions,
-                         self.core.extensions, self.compat.extensions)